/* general page styling */
body {
  font: 10pt Verdana, sans-serif;
  background-color: #ffffff;
  padding: 0 1em;
  min-width: 100em;
}

fieldset {
  float: left;
  background-color: #ddffee;
}

legend {
  font-weight: bold;
}

th, td {
  padding: 0;
}

th {
  font-size: 0.8em;
}

.title-text {
  font-weight: bold;
  font-size: 1.5em;
  margin: 0.5em 1em 0.5em 0;
}

.game-select {
  margin: 0.5em 1em 0.5em 0;
}

.big-text {
  font-weight: bold;
  font-size: 1.1em;
  margin: 0.5em 0;
}

.big-text #mainResult:hover {  /* indicates the presence of click-to-copy function */
    cursor: pointer;
    opacity: 0.7;
}

.small-text {
  font-size: 0.8em;
}

.panel {
  display: inline-block;
  float: left;
}

.poke-info {
  width: 28em;
}

.field-info {
  width: 28em;
}

.panel-group > .panel {
    clear: left;
}

/* general button styling */
.btn {
  text-align: center;
  border: solid 1px #26272b;
  padding: 4px 8px;
  position: relative;
  cursor: pointer;
  color: #aeafb1;
  background: #2f3136;
  margin: -1px -3px 0;
  display: inline-block;
  width: 5em;
  border-radius: 8px;
}

.btn-wide {
  width: 7em;
}

.btn-xwide {
  width: 8em;
}

.btn-xxwide {
  width: 9em;
}

.btn-xxxwide {
  width: 10em;
}

.btn-small {
  width: 4em;
}

.btn-xsmall {
  width: 1em;
}

.btn-left {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.btn-right {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.btn-top {
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}

.btn-bottom {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
}

.btn-mid {
  border-radius: 0;
}

.btn-fit {
  width: fit-content;
}

.btn:hover {
  z-index: 10;
  border-color: #26272b;
  background: #36393f;
}

.btn-input:checked+.btn {
  font-weight: bold;
  color: #f6f6f6;
  background: #3d4044;
}

.btn-input[type="radio"]:checked+.btn {
  cursor: default;
}

.btn-input {
  display: none;
}

.btn-input:disabled+.btn {
  color: #999999;
}

.btn-group {
  display: inline-block;
  width: 100%;
}

.left {
  float: left;
}

.right {
  float: right;
}

.locked-move:checked+.btn {
  background: #01060f;
}

/* header */
.move-result-group {
  max-width: 80em;
  min-width: 50em;
  margin: 1em 0 10em;
}

.move-result-subgroup {
  float: left;
  width: 50%;
}

.move-result-group .btn {
  margin-right: 1em;
}

.main-result-group {
  margin: 2em 0 1em;
}

.result-move-header {
  font-size: 0.8em;
  font-weight: bold;
  margin: 0 0 5px;
}

/* pokemon info */
.poke-info label {
  display: inline-block;
  width: 6em;
}

.poke-info input:not([type]), .poke-info input[type="text"], .poke-info span :not(.select2-chosen) {
  display: inline-block;
  width: 2.5em;
}

.poke-info input[type="number"] {
  display: inline-block;
  width: 3.5em;
}

.info-group {
  margin: 1em 0;
}

.set-selector {
  width: 28em;
}

.info-selectors select {
  width: 15em;
}

select.toxic-counter {
  width: 4.5em;
}

.move-selector, .move-bp, .move-type, .move-cat, .move-hits {
  font-size: 0.9em;
}

.move-selector {
  width: 9.0em;
}

.poke-info input.move-bp {
  width: 2em;
}

.move-cat, .move-hits {
  width: 4em;
}

.poke-info .crit-btn {
  font-size: 0.8em;
  width: 2.5em;
  height: 1em;
  padding: 3px 3px;
}

.poke-info .x-btn {
  font-size: 0.8em;
  width: 2.5em;
  height: 1em;
  padding: 3px 3px;
  margin-left: 0.3em;
}

.poke-info .z-btn {
  width: 3.5em;
}

.poke-info .ev-total {
  font-size: 0.8em;
}

.poke-info .underLimit {
  color: #abacae;
}

.poke-info .overLimit {
  color: #ff0000;
  font-weight: bold
}

/* field info */
.field-info .btn {
  font-size: 0.8em;
}

.field-info .format-btn {
  width: 2em;
  padding: 3px 4px;
}

.hide {
  display: none;
}

/* select2 overrides */
.small-select.select2-container .select2-choice {
  font-size: 0.9em;
  height: 18px;
  line-height: 18px;
}

.small-select.select2-container .select2-choice .select2-arrow b {
  background-position: 0 -4px;
}

.small-select.select2-dropdown-open .select2-choice .select2-arrow b {
  background-position: -18px -4px;
}

/* Auto Level Box */
#autolevel {
  float: left;
  text-decoration: none;
  display: inline;
}

/* Auto IVs Box */
.autoivs {
  float: right;
  text-decoration: none;
  display: inline;
}

.onoffswitch {
  float: right;
  position: relative;
  width: 70px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  display: inline-block;
}

.onoffswitch-checkbox {
  display: none;
}

.onoffswitch-label {
  display: block;
  overflow: hidden;
  cursor: pointer;
  border: 2px solid #26272b;
  border-radius: 8px;
}

.onoffswitch-inner {
  display: block;
  width: 200%;
  margin-left: -100%;
  transition: margin 0.3s ease-in 0s;
}

.onoffswitch-inner:before, .onoffswitch-inner:after {
  display: block;
  float: left;
  width: 50%;
  height: 20px;
  padding: 0;
  line-height: 20px;
  font-size: 14px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  box-sizing: border-box;
}

.onoffswitch-inner:before {
  content: "50";
  padding-left: 10px;
  background-color: #2f3136;
  color: #aeafb1;
}

.onoffswitch-inner:after {
  content: "100";
  padding-right: 10px;
  background-color: #3d4044;
  color: #ffffff;
  text-align: right;
}

.onoffswitch-switch {
  display: block;
  height: 10px;
  width: 10px;
  margin: 5px;
  background: #36393e;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 46px;
  border: 2px solid #26272b;
  border-radius: 8px;
  transition: all 0.3s ease-in 0s;
}

.onoffswitch-checkbox:checked+.onoffswitch-label .onoffswitch-inner {
  margin-left: 0;
}

.onoffswitch-checkbox:checked+.onoffswitch-label .onoffswitch-switch {
  right: 0px;
}

.lv1-mode:after {
  content: "1";
}
